<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11) on Thu Mar 11 09:05:43 CET 2021 -->
<title>S-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-03-11">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../at.hakimst/module-summary.html">Module</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">H</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">S</a>&nbsp;<a href="index-11.html">T</a>&nbsp;<a href="index-12.html">U</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><a href="../at.hakimst/at/hakimst/controller/SecondaryController.html" title="class in at.hakimst.controller"><span class="typeNameLink">SecondaryController</span></a> - Class in <a href="../at.hakimst/at/hakimst/controller/package-summary.html">at.hakimst.controller</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../at.hakimst/at/hakimst/controller/SecondaryController.html#%3Cinit%3E()">SecondaryController()</a></span> - Constructor for class at.hakimst.controller.<a href="../at.hakimst/at/hakimst/controller/SecondaryController.html" title="class in at.hakimst.controller">SecondaryController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../at.hakimst/at/hakimst/model/Student.html#setClassRoom(at.hakimst.model.ClassRoom)">setClassRoom(ClassRoom)</a></span> - Method in class at.hakimst.model.<a href="../at.hakimst/at/hakimst/model/Student.html" title="class in at.hakimst.model">Student</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../at.hakimst/at/hakimst/model/Student.html#setFirstName(java.lang.String)">setFirstName(String)</a></span> - Method in class at.hakimst.model.<a href="../at.hakimst/at/hakimst/model/Student.html" title="class in at.hakimst.model">Student</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../at.hakimst/at/hakimst/model/ClassRoom.html#setId(java.lang.Long)">setId(Long)</a></span> - Method in class at.hakimst.model.<a href="../at.hakimst/at/hakimst/model/ClassRoom.html" title="class in at.hakimst.model">ClassRoom</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../at.hakimst/at/hakimst/model/Student.html#setId(java.lang.Long)">setId(Long)</a></span> - Method in class at.hakimst.model.<a href="../at.hakimst/at/hakimst/model/Student.html" title="class in at.hakimst.model">Student</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../at.hakimst/at/hakimst/model/ClassRoom.html#setLabel(java.lang.String)">setLabel(String)</a></span> - Method in class at.hakimst.model.<a href="../at.hakimst/at/hakimst/model/ClassRoom.html" title="class in at.hakimst.model">ClassRoom</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../at.hakimst/at/hakimst/model/Student.html#setLastName(java.lang.String)">setLastName(String)</a></span> - Method in class at.hakimst.model.<a href="../at.hakimst/at/hakimst/model/Student.html" title="class in at.hakimst.model">Student</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../at.hakimst/at/hakimst/model/Student.html#setRollNo(int)">setRollNo(int)</a></span> - Method in class at.hakimst.model.<a href="../at.hakimst/at/hakimst/model/Student.html" title="class in at.hakimst.model">Student</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../at.hakimst/at/hakimst/App.html#setRoot(java.lang.String)">setRoot(String)</a></span> - Static method in class at.hakimst.<a href="../at.hakimst/at/hakimst/App.html" title="class in at.hakimst">App</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../at.hakimst/at/hakimst/App.html#start(javafx.stage.Stage)">start(Stage)</a></span> - Method in class at.hakimst.<a href="../at.hakimst/at/hakimst/App.html" title="class in at.hakimst">App</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../at.hakimst/at/hakimst/model/Student.html" title="class in at.hakimst.model"><span class="typeNameLink">Student</span></a> - Class in <a href="../at.hakimst/at/hakimst/model/package-summary.html">at.hakimst.model</a></dt>
<dd>
<div class="block">Represents a student where id is the artificial id (resulting from the db) and rollNo is the domain id.</div>
</dd>
<dt><span class="memberNameLink"><a href="../at.hakimst/at/hakimst/model/Student.html#%3Cinit%3E(java.lang.Long,java.lang.String,java.lang.String,int,at.hakimst.model.ClassRoom)">Student(Long, String, String, int, ClassRoom)</a></span> - Constructor for class at.hakimst.model.<a href="../at.hakimst/at/hakimst/model/Student.html" title="class in at.hakimst.model">Student</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../at.hakimst/at/hakimst/model/Student.html#%3Cinit%3E(java.lang.String,java.lang.String,int,at.hakimst.model.ClassRoom)">Student(String, String, int, ClassRoom)</a></span> - Constructor for class at.hakimst.model.<a href="../at.hakimst/at/hakimst/model/Student.html" title="class in at.hakimst.model">Student</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../at.hakimst/at/hakimst/db/StudentDao.html" title="class in at.hakimst.db"><span class="typeNameLink">StudentDao</span></a> - Class in <a href="../at.hakimst/at/hakimst/db/package-summary.html">at.hakimst.db</a></dt>
<dd>
<div class="block">DAO implementation for student class</div>
</dd>
<dt><span class="memberNameLink"><a href="../at.hakimst/at/hakimst/db/StudentDao.html#%3Cinit%3E()">StudentDao()</a></span> - Constructor for class at.hakimst.db.<a href="../at.hakimst/at/hakimst/db/StudentDao.html" title="class in at.hakimst.db">StudentDao</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">H</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">S</a>&nbsp;<a href="index-11.html">T</a>&nbsp;<a href="index-12.html">U</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../at.hakimst/module-summary.html">Module</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
